RUP(1C)

NAME
rup - show host status of local machines (RPC version)

SYNOPSIS
rup [ -hlt ]
rup [ host... ]

AVAILABILITY
This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION
rup gives a status similar to uptime for remote machines. It broadcasts on the local network, and displays the responses it receives.

Normally, the listing is in the order that responses are received, but this order can be changed by specifying one of the options listed below.

When host arguments are given, rather than broadcasting rup will only query the list of specified hosts.

A remote host will only respond if it is running the rstatd daemon, which is normally started up from inetd(8C).

OPTIONS

-h  Sort the display alphabetically by host name.

-l  Sort the display by load average.

-t  Sort the display by up time.

FILES
/etc/servers

SEE ALSO
ruptime(1C), inetd(8C), rstatd(8C)

BUGS

Broadcasting does not work through gateways.